using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using com.hnshituo.core.webapp.vo;

namespace Common
{
    public class MeterBaseLimitChemicalService
    {
        public RESTfulResult<List<MeterBaseLimitChemical>> doQueryWf(MeterBaseLimitChemical info)
        {
            DbHelper db = new DbHelper();
            RESTfulResult<PageList<List<MeterBaseLimitChemical>>> rm = db.doOption<PageList<List<MeterBaseLimitChemical>>>("meterbaselimitchemicals", "/", new object[] { info }, 0);

            RESTfulResult<List<MeterBaseLimitChemical>> result = new RESTfulResult<List<MeterBaseLimitChemical>>();
            result.Succeed = rm.Succeed;
            result.Status = rm.Status;
            result.Message = rm.Message;
            result.ResultMessage = rm.ResultMessage;
            result.Code = rm.Code;
            if (rm.Data != null && rm.Data.list != null && rm.Data.list.Count > 0)
            {
                result.Data = rm.Data.list;
            }
            return result;
        }
    }
}
